<?php

namespace openAI;
require_once WD . '/modules/openAI/config/openAI_enabled_c.php';
require_once WD . '/modules/openAI/config/openAI_api_key_c.php';

use openAI\config\openAI_api_key_c;
use openAI\config\openAI_enabled_c;
use traits\module_config_t;

class openAI_c
{
    use module_config_t;

    /**
     * The status of openAI, whether it is enabled or not
     * @var openAI_enabled_c
     */
    public openAI_enabled_c $enabled;
    /**
     * The API key for openAI
     * @var openAI_api_key_c
     */
    public openAI_api_key_c $api_key;

    public function __construct()
    {
        $this->setupConfig('openAI');
        $this->allowUpdate([
            openAI_enabled_c::class,
            openAI_api_key_c::class,
        ]);
        $this->enabled = new openAI_enabled_c();
        $this->api_key = new openAI_api_key_c();
    }
}